player_position2d_cmd_vel Struct Reference

position 2d velocity command More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose2d_t | vel
| translational velocities [m/s,m/s,rad/s] (x, y, yaw)
uint8_t | state
| Motor state (FALSE is either off or locked, depending on the driver). More...

## Detailed Description

position 2d velocity command

## Member Data Documentation

uint8_t player_position2d_cmd_vel::state

Motor state (FALSE is either off or locked, depending on the driver).

Referenced by SegwayRMP::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45